Package org.apache.commons.imaging.formats.tiff.photometricinterpreters

# Class PhotometricInterpreterPalette

java.lang.Object
org.apache.commons.imaging.formats.tiff.photometricinterpreters.AbstractPhotometricInterpreter
org.apache.commons.imaging.formats.tiff.photometricinterpreters.PhotometricInterpreterPalette

public final class PhotometricInterpreterPalette extends AbstractPhotometricInterpreter

- ## Field Summary

  ### Fields inherited from class org.apache.commons.imaging.formats.tiff.photometricinterpreters.AbstractPhotometricInterpreter

  `height, predictor, samplesPerPixel, width`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PhotometricInterpreterPalette(int samplesPerPixel, int[] bitsPerSample, int predictor, int width, int height, int[] colorMap)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `interpretPixel(ImageBuilder imageBuilder, int[] samples, int x, int y)`

  ### Methods inherited from class org.apache.commons.imaging.formats.tiff.photometricinterpreters.AbstractPhotometricInterpreter

  `getBitsPerSample`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PhotometricInterpreterPalette

    public PhotometricInterpreterPalette(int samplesPerPixel, int[] bitsPerSample, int predictor, int width, int height, int[] colorMap)
    Constructs a new instance.
    Parameters:
      `samplesPerPixel` - Samples per pixel.
      `bitsPerSample` - Bits per sample.
      `predictor` - TODO
      `width` - TODO
      `height` - TODO
      `colorMap` - TODO
    Throws:
      `ImagingFormatException` - if an index into the `colorMap` is out of bounds.
      `AllocationRequestException` - Thrown when an allocation request exceeds the `Allocator` limit.

- ## Method Details

  - ### interpretPixel

    public void interpretPixel(ImageBuilder imageBuilder, int[] samples, int x, int y) throws ImagingException, IOException
    Specified by:
      `interpretPixel` in class `AbstractPhotometricInterpreter`
    Throws:
      `ImagingException`
      `IOException`